Bug 93135 - can't resize shape with "resize shape to fit text"
Summary: can't resize shape with "resize shape to fit text"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: All All
: medium major
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords: regression
Depends on:
Blocks: Matters-to-Caolan
  Show dependency treegraph
 
Reported: 2015-08-05 11:52 UTC by water.qian
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screen capture for the resize action (5.57 KB, image/jpeg)
2015-08-05 11:52 UTC, water.qian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description water.qian 2015-08-05 11:52:34 UTC
Created attachment 117665 [details]
screen capture for the resize action

Steps to produce the issue:
1. Open a new drawing file.
2. Draw a rectangle shape. Type some text for it
3. Select Format > Text. Tick “Resize shape to fix text”, click OK

The rectangle should be resized to just fit the texts.

It doesn't work with the following version. The shape is not resized.

Version: 5.1.0.0.alpha1+
Build ID: a933e01a54f08132c2d8699f7c6851a8b493d5dc
TinderBox: Win-x86@39, Branch:master, Time: 2015-08-04_06:10:12
Locale: zh-CN (zh_CN)

It resized shape properly on Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: zh-CN (zh_CN)
but if you continue to select Format > Text. Un-tick “Resize shape to fix text”, click OK.  The shape can't be resized with its handle. 
 
All the functions work with Version: 4.4.4.3.
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8
Locale: zh_CN
Comment 1 Julien Nabet 2015-08-09 16:56:38 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

First I thought it was a regression of the fix https://bugs.documentfoundation.org/show_bug.cgi?id=93079 but when reverting the patch locally and tried again, I still reproduced this.
Comment 2 Commit Notification 2016-06-09 09:00:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1df071c3fc452817746a8daa13000d2df667aba

Resolves: tdf#93135 can't resize shape with "resize shape to fit text"

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-09 09:00:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c5452044b54b00a8cd5cd98b01d61995d7e2660

Resolves: tdf#93135 there is no SDRATTR_TEXT_AUTOGROWSIZE property

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-06-09 09:02:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=65d1e5294c9f0d9300dbb92f6670cdcafa8a1ac2&h=libreoffice-5-2

Resolves: tdf#93135 can't resize shape with "resize shape to fit text"

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Jean-Baptiste Faure 2016-06-09 09:46:07 UTC
Set regression keyword from text commit in comment #2
Comment 6 Commit Notification 2016-06-11 10:12:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a5ce16bc2a0f766a442cebc49d4c361f95cf91b&h=libreoffice-5-1

Resolves: tdf#93135 can't resize shape with "resize shape to fit text"

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-06-13 10:28:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d51397bfd98615e74e116582a50e29846ecb76e

Related: tdf#93135 adjust the ui to reflect the text fit options entanglement

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.